// variables colors
$main-color-bg: #020102;
$main-color-bg-second: #060606;
$main-color-bg-preloader: #121212;
$color-nav: #cdcdcd;
$color-hover: #06ffff;
$color-white: #ffffff;
$color-text: #bbbbbb;
$color-main: #00FFFF;

$color-item: #cdcdcd;

$color-border: #A7A7AD;
$color-border-second: #666666;
$color-border-button: #999999;

$color-cursor-follow: #ffffff;

// mixin for media width 
$mediaWidthMobileSmall-360: 360px;
$mediaWidthMobileSmall: 320px;
$mediaWidthMobile: 767px;
$mediaWidthTablet: 991px;
$mediaWidthTabletLarge: 1024px;
$mediaWidthTabletHorizontal: 1024px;
$mediaWidthLaptop: 1024px;
$mediaWidtSmall: 1100px;
$mediaWidt-1366: 1366px;

@mixin media-tablet {
    @media (max-width: $mediaWidthTablet) {
        @content;
    }
}

@mixin media-tablet-horizontal {
    @media (max-height: $mediaWidthTabletHorizontal) {
        @content;
    }
}

@mixin media-tablet-large {
    @media (max-width: $mediaWidthTabletLarge) {
        @content;
    }
}

@mixin media-laptop {
    @media (max-width: $mediaWidthLaptop) {
        @content;
    }
}

@mixin media-mobile {
    @media (max-width: $mediaWidthMobile) {
        @content;
    }
}

@mixin media-mobile-small {
    @media (max-width: $mediaWidthMobileSmall) {
        @content;
    }
}

@mixin media-widt-small {
    @media (max-width: $mediaWidtSmall) {
        @content;
    }
}

@mixin media-mobile-small-360 {
    @media (max-width: $mediaWidthMobileSmall-360) {
        @content;
    }
}

@mixin media-1366 {
    @media (max-width: $mediaWidt-1366) {
        @content;
    }
}

@mixin media-mobile-horizontal {
    @media (max-height: $mediaWidthMobile) {
        @content;
    }
}

// blur on card
@mixin blur-card {
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(100px);
}

// transition timing
$main-transition-timing: cubic-bezier(.22,.17,0,.98);

// fonts
@mixin krona-one {
    font-family: 'Krona One';
}

@mixin poppins {
    font-family: 'Poppins';
}

@mixin montserrat {
    font-family: 'Montserrat';
}

@mixin oswald {
    font-family: 'Oswald';
}

// section size colors
.main-size {
    max-width: 1440px;
    width: 100%;
    padding: 0 20px;
    margin: auto;

    @media (min-width: 1366px) and (max-width: 1440px) {
        padding: 0 75px;
    } 

    @include media-laptop {
        padding: 0 25px;
    }

    @include media-mobile {
        padding: 0 15px;
    }
}

@mixin card-icon-services {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    max-width: 140px;
    max-height: 140px;
    transition: all 0.3s;
}

@mixin  card-text-second {
    font-size: 24px;
    font-weight: 400;
    line-height: 1.3;
    text-align: center;

    @include montserrat;
    @include media-mobile {
        text-transform: uppercase;
        font-size: 12px;
        letter-spacing: 0.05em;
    }
}

@mixin font-nav {
    font-size: 16px;
    line-height: 1.25;
    letter-spacing: 0.05em;
    text-transform: uppercase;

    @include media-mobile {
        font-size: 16px;
        font-weight: 600;
        line-height: 20px;
        letter-spacing: 0em;
    }
}

@mixin font-social-media {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.25;
    text-transform: uppercase;

    @include montserrat;
}

@mixin font-subtitle {
    font-size: 24px;
    line-height: 1.4;
    font-weight: 300;

    @include poppins;
}

@mixin font-text {
    font-size: 20px;
    font-weight: 300;
    line-height: 1.6;
    color: $color-text;

    @include media-mobile() {
        font-size: 16px;
        line-height: 24px;
    }
}

@mixin font-button-default {
    font-size: 12px;
    font-weight: 500;
    line-height: 1.25;
    letter-spacing: 0.05em;
    text-transform: uppercase;

    @include montserrat;
}

@mixin font-slider {
    font-size: 80px;
    font-weight: 800;
    line-height: 1.5;
    @include poppins;

    @include media-laptop {
        font-size: 60px;
    }

    @include media-mobile {
        font-size: 32px;
    }
}

@mixin font-slider-hover {
    background: linear-gradient(141.8deg, #00FFFF 14.44%, #01C4E5 86.47%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
    -webkit-text-stroke: 0 $color-item;
    text-stroke: 0 $color-item;
}

@mixin card-number {
    background: -webkit-linear-gradient(141.8deg, #00FFFF 14.44%, #01C4E5 86.47%);
    -webkit-background-clip: text;
    -webkit-text-stroke: 4px transparent;
    color: $main-color-bg;
    font-size: 80px;
    font-weight: 400;
    line-height: 1.25;
    text-align: center;
    @include krona-one;

    @include media-laptop {
        font-size: 6vw;
    }

    @include media-widt-small {
        font-size: 55px;
    }
}

@mixin card-team-name {
    font-size: 20px;
    font-weight: 600;
    line-height: 24px;

    @include montserrat;

    @include media-widt-small {
        font-size: 20px;
    }
}

@mixin card-team-position {
    font-size: 12px;
    font-weight: 500;
    line-height: 1.25;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    @include montserrat;

    @include media-mobile {
        font-size: 10px;
    }
}

@mixin font-title-not-found {
    @include montserrat;
    font-size: 150px;
    line-height: 1;

    @include media-mobile {
        font-size: 100px;
    }
}

@mixin font-link-to-home {
    @include montserrat;
    font-size: 40px;
    line-height: 1;
    text-transform: uppercase;

    @include media-mobile {
        font-size: 30px;
    }
}

@mixin font-contact {
    font-size: 32px;
    font-weight: 400;
    line-height: 1.3;
    @include poppins;

    @include media-mobile {
        font-size: 18px;
        line-height: 24px;
    }
}

// variables  transition
@mixin transition-main {
    transition: opacity 0.3s;
}

// style for hover and active slider
@mixin mark-slider {
    display: block;
    width: 200px;
    height: 150px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: radial-gradient(49.41% 49.24% at 35.41% 46.21%, #00FFFF 53.18%, rgba(0, 158, 212, 0.5) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */;
    filter: blur(100px);
    opacity: 60%;
}

// animation 
@keyframes sphere {
    0% {
      right: 0%;
      transform: rotate(0);
    }
    100% {
      right: 25%;
      transform: rotate(360deg);
    }
}

@keyframes backlight {
    0% {
      left: 0%;
    }
    100% {
      left: 25%;
    }
}

// border

@mixin card-border {
    border: 1px solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(180deg, #B9B9B9 0%, rgba(102, 102, 102, 0) 100%);
} 

// main animation
@mixin main-animation {
    opacity: 0;
    will-change: transform, opacity; 
    transform: translate3d(0px, 3em, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 4deg); 
    transform-style: preserve-3d;
}

@mixin card_basic_style {
    transform: translateY(30%);
    opacity: 0;
}

@mixin main-animation-small {
    opacity: 0;
    will-change: transform, opacity; 
    transform: translate3d(0px, 2em, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 4deg); 
    transform-style: preserve-3d;
}

// margin

$gap-card: 20px;